%define LANG ja
%define snap 20091215

Summary:	Japanese manual pages
Name:		man-pages-%LANG
Version:	%{snap}
Release:	%mkrel 3
License:	distributable
Group:		System/Internationalization
URL:		http://www.linux.or.jp/JM/download.html
Source0:	http://www.linux.or.jp/JM/%{name}-%{snap}.tar.gz
Source2:	http://xjman.dsl.gr.jp/xjman-0.7.tar.bz2
Source3:	man-pages-ja-install.sh
Source4:	manpage-utf8-converter.rb
BuildRequires:	man 	>= 1.6e
BuildRequires:	ruby
Requires:	locales-%LANG
Requires:	man	>= 1.6e
# for file-system:
Requires(pre):	man
Requires(post): man
Autoreqprov:	false
BuildArch:	noarch
Obsoletes:	man-%LANG, manpages-%LANG
Provides:	man-%LANG, manpages-%LANG

%description
The japanese man pages.

%prep
%setup -qn %{name}-%{snap} -a2

# install X11 man pages
mv xjman/ manual
echo "xjman-4.1.0	Y" >> script/pkgs.list

%build
cp %{SOURCE3} installman.sh
rm -f manual/*/man1/man.1 manual/*/man1/apropos.1 manual/*/man1/whatis.1

# convert manpages (euc-jp to utf-8)
# we can use konqueror as a manpage viewer,
# but konqueror doesn't detect euc-jp properly.
cp %{SOURCE4} .
./manpage-utf8-converter.rb

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/%LANG
mkdir -p %{buildroot}/var/catman/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

make install

LANG=%LANG DESTDIR=%{buildroot} /usr/sbin/makewhatis %{buildroot}%{_mandir}/%LANG

mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
/usr/sbin/makewhatis %{_mandir}/%LANG
exit 0
EOF
chmod a+x %{buildroot}%{_sysconfdir}/cron.weekly/makewhatis-%LANG.cron

mkdir -p  %{buildroot}/var/cache/man/%LANG
touch %{buildroot}%{_localstatedir}/cache/man/%LANG/whatis

rm -f %{buildroot}/usr/share/man/README*


%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory %{_mandir}/%LANG
   if [ ! -d %{_mandir}/%LANG ] ; then
       rm -rf /var/catman/%LANG
   fi
fi
# 1 means update
if [ "$1" = "1" ]; then
   # dirty hack to clean previous man-pages-ja installs
   [ -d var/catman/X11/%LANG ] && rm -rf /var/catman/X11/%LANG >& /dev/null
   [ -d var/catman/X11 ] && rmdir /var/catman/X11 >& /dev/null
fi
:

%post
%create_ghostfile %{_localstatedir}/cache/man/%LANG/whatis root root 644

%clean
rm -fr %{buildroot}

%files
%defattr(644,root,man,755)
%doc ChangeLog README
%attr(0755,root,root) %dir %{_mandir}/%LANG
%dir %{_localstatedir}/cache/man/%LANG
%ghost %config(noreplace) %{_localstatedir}/cache/man/%LANG/whatis
%attr(0755,root,root) %dir %{_mandir}/%LANG/man*
%{_mandir}/%LANG/man*/*
%{_mandir}/%LANG/whatis
%attr(755,root,man)/var/catman/%LANG
%config(noreplace) %attr(755,root,root)%{_sysconfdir}/cron.weekly/makewhatis-%LANG.cron


%changelog

* Tue Mar 26 2013 luigiwalser <luigiwalser> 20091215-3.mga3
+ Revision: 405265
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 20091215-2.mga3
+ Revision: 359390
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 20091215-1.mga1
+ Revision: 6061
- modify installman.sh, no need to gzip the man pages manually
- touch %%{_localstatedir}/cache/man/%%LANG/whatis and add a %%post scriptlet to
  %%create_ghostfile
- fix file list
- remove a supurious 'rm -fr'
- clean spec
- imported package man-pages-ja

